Bug 386151

Summary: Cannot create bridged network for paravirtualized guest.
Product: [Fedora] Fedora Reporter: Adam Greenberg <moose>
Component: xenAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 7CC: sella, triage
Target Milestone: ---   
Target Release: ---   
Hardware: ia64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-16 22:52:15 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
xend log of failed installation due to network problem
none
virt-install log of guest create that fails with network problem.
none
Xend log from rebooted system reveals network bridge errors none

Description Adam Greenberg 2007-11-15 21:40:55 EST
Description of problem:
I cannot create a bridged network connection using either virt-manager or
virt-install.  Virt-manager does not allow me to specify a shared interface
(paravirtualized guest) - the space contains no choices.  When I try to create
the guest using virt-install, I specify --network briege:eth0 and get hotplug
errors of this type: 
can't add vif1.0 to bridge eth0: Operation not supported


Version-Release number of selected component (if applicable):
xen-3.1.0-8.fc7.i386
libvirt-0.3.3-1.fc7.i386



How reproducible:
Always happens.

Steps to Reproduce:

1.  virt-install -p -n fed8p -r 1000 -f /var/lib/xen/images/fed8p -s 8 -l
http://download.fedora.redhat.com/pub/fedora/linux/releases/8/Fedora/i386/os/
--os-type=linux --os-variant=generic26 --network bridge:eth0
2.  Follow the installation sequence until the network setting step.  Specify
dhcp and the boot will hang (and then return to the network set up question)
3.
  
Actual results:
Guest installation cannot get past the network set up question.

Expected results:
Normal installation

Additional info:
Comment 1 Adam Greenberg 2007-11-15 21:40:55 EST
Created attachment 260681 [details]
xend log of failed installation due to network problem
Comment 2 Adam Greenberg 2007-11-15 21:50:47 EST
Created attachment 260701 [details]
virt-install log of guest create that fails with network problem.
Comment 3 Adam Greenberg 2007-11-16 07:52:32 EST
I should note that this is the i386 version of Fedora 7 running on x86_64
hardware (a Dell Precision 690).  I see this problem regardless of SELinux
setting (I'
ve tried enforcing, permissive, and disabled - albeit without any reboots
between attempts).
Comment 4 Adam Greenberg 2007-11-16 22:30:59 EST
Created attachment 262081 [details]
Xend log from rebooted system reveals network bridge errors

I rebooted my machine and examined the xend log.  Please note the errors
indicating failures to create network bridges.	What do I have to do to avoid
these?	Is this a known problem with Fedora 7, a problem with my platform, or
some obscure configuration error?
Comment 5 James Sella 2008-03-23 18:18:31 EDT
I've run into this issue on both Fedora 7 and Fedora 8. In both cases, it only
happens after I update the system with yum. It appears to be an issue with dbus
or how virt-manager works with it.

Using virt-manager to create new bridged Xen virtual machines works fine after a
fresh install. After I use yum to update the system I'm no longer able to create
virtual machines with bridged interfaces. Specifically, in virt-manager on the
"Connect to a Host" screen, the "Shared physical device" option has an empty
drop down for "device".

Below is a fix that worked for me with Fedora 8 (didn't try Fedora 7):

On the updated system, as root, mount the install DVD and change to the
directory containing your original set of RPMs ("Packages" with Fedora 8,
"Fedora" with Fedora 7), then reinstall the old RPMs for dbus, dbus-libs and
dbus-x11.

Example:

# cd /media/disk/Packages
# rpm -Uvh --oldpackage dbus-1.1.2-7.fc8.x86_64.rpm 
dbus-libs-1.1.2-7.fc8.x86_64.rpm dbus-libs-1.1.2-7.fc8.i386.rpm
dbus-x11-1.1.2-7.fc8.x86_64.rpm

*NOTE: You may need to specify other packages if RPM complains about dependencies.

This fix is very similar to one mentioned for RHES5.1 here:

http://www.linuxquestions.org/questions/linux-enterprise-47/virt-manager-in-rhel5.1-has-empty-shared-physical-device-list-625390/

There is also mention of the same issue in CentOS-5, which they resolve by
patching /usr/share/virt-manager/virtManager/connection.py. Description and
patch is here:

http://bugs.centos.org/view.php?id=2516
Comment 6 Bug Zapper 2008-05-14 11:04:17 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 22:52:13 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.